Subject: Re: PCI changes 2.6.26 => 2.6.28

From: Gary Thomas <[email-masked]>
Date: Tue, 21 Apr 2009 17:45:04 -0600

Kumar Gala wrote:
> 
> On Apr 21, 2009, at 6:00 PM, Gary Thomas wrote:
> 
>>
>> I found the difference - in 2.6.28 the inbound/outbound windows
>> don't seem to be set up at all.  In 2.6.26, the function 'fsl_add_bridge'
>> was common among architectures and ended up calling 'setup_pci_atmu'
>> which created those mappings.  In 2.6.28, the 83xx PCI setup code
>> has been refactored.  It uses 'mpc83xx_add_bridge' instead of
>> 'fsl_add_bridge' and 'setup_pci_atmu' is not called at all :-(
>>
>> I'm sure this is the problem.
> 
> Looking at a diff between 2.6.26 and .28 I don't see the 83xx pci code
> calling setup_pci_atmu().

It did not directly; it called 'fsl_add_bridge' which in turn called
'setup_pci_atmu'

I modified the 2.6.28 driver to also call this function.  Now the
inbound/outbound windows are set up, but the bridge still has
no allocations, so the problem remains.

I need to move on; I may just live with sliding the PCI space
up for now (doesn't really hurt anything, just seems like a hack)

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------